- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GNet::Server::PeerInfo Struct Reference

A structure used in GNet::Server::newPeer(). More...

`#include <gserver.h>`

## Public Member Functions
| PeerInfo ()

## Public Attributes
std::auto_ptr< StreamSocket > | m_socket
Address | m_address
std::string | m_name
ServerPeerHandle * | m_handle

## Detailed Description

A structure used in GNet::Server::newPeer().

Definition at line 91 of file gserver.h.

## Constructor & Destructor Documentation

GNet::Server::PeerInfo::PeerInfo | ( |  | ) |

Definition at line 320 of file gserver.cpp.

## Member Data Documentation

Address GNet::Server::PeerInfo::m_address

Definition at line 94 of file gserver.h.

Referenced by GSmtp::AdminServerPeer::AdminServerPeer(), GPop::Server::newPeer(), GSmtp::Server::newPeer(), GSmtp::AdminServer::newPeer(), GNet::Server::readEvent(), GPop::ServerPeer::ServerPeer(), and GSmtp::ServerPeer::ServerPeer().

ServerPeerHandle* GNet::Server::PeerInfo::m_handle

Definition at line 96 of file gserver.h.

Referenced by GNet::Server::readEvent().

std::string GNet::Server::PeerInfo::m_name

Definition at line 95 of file gserver.h.

Referenced by GSmtp::Server::newPeer(), GNet::Server::readEvent(), and GSmtp::ServerPeer::ServerPeer().

std::auto_ptr<StreamSocket> GNet::Server::PeerInfo::m_socket

Definition at line 93 of file gserver.h.

The documentation for this struct was generated from the following files:

- gserver.h
- gserver.cpp